=== debian/changelog ===
debian-reference (2.46) stable; urgency=low

  * Updated Portguese translation by Américo Monteiro.
  * Fixed s/--get-selection/--get-selections/ etc. Closes: #612435
  * Reflected introduction of squeeze-updates suite which replaced
    Debian Volatile Service. Closes: #614224
  * Fixed URL for Debian Mirror Checker site. Closes: #614253

 -- Osamu Aoki <osamu@debian.org>  Wed, 23 Feb 2011 23:11:59 +0900
