=== debian/control ===
Source: debian-reference
Section: doc
Priority: optional
Maintainer: Osamu Aoki <osamu@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: w3m, xsltproc, docbook-xsl, docbook-xml, po4a, python, locales-all | locales, debiandoc-sgml, libxml2-utils
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/svn/ddp/manuals/trunk/quick-reference
Vcs-Browser: http://svn.debian.org/wsvn/ddp/manuals/trunk/quick-reference/
Homepage: http://www.debian.org/doc/user-manuals#quick-reference

Package: debian-reference-common
Architecture: all
Depends: ${misc:Depends}
Suggests: mc, vim, w3m | www-browser
Description: Debian system administration guide, common files
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 This provides menu functionality and other common files.

Package: debian-reference
Architecture: all
Depends: ${misc:Depends}, debian-reference-en
Recommends: debian-reference-fr, debian-reference-de, debian-reference-it, debian-reference-es, debian-reference-pt-br, debian-reference-pl, debian-reference-zh-tw, debian-reference-zh-cn, debian-reference-ja
Description: metapackage to install (all) translations of Debian Reference
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 This installs all translations when "Recommends:" are installed.

Package: debian-reference-en
Architecture: all
Depends: ${misc:Depends}, debian-reference-common (>= 2.00)
Suggests: doc-base, rutebook
Description: Debian system administration guide, English original
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The English original version.

Package: debian-reference-fr
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: ${misc:Depends}, debian-reference-common (>= 2.00)
Conflicts: quick-reference-fr
Replaces: quick-reference-fr
Description: Debian system administration guide, French translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The French translation.

Package: debian-reference-it
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: ${misc:Depends}, debian-reference-common (>= 2.00)
Conflicts: quick-reference-it
Replaces: quick-reference-it
Description: Debian system administration guide, Italian translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Italian translation.

Package: debian-reference-ja
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: ${misc:Depends}, debian-reference-common (>= 2.00)
Conflicts: quick-reference-ja
Replaces: quick-reference-ja
Description: Debian system administration guide, Japanese translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Japanese translation.

Package: debian-reference-es
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: ${misc:Depends}, debian-reference-common (>= 2.00)
Conflicts: quick-reference-es
Replaces: quick-reference-es
Description: Debian system administration guide, Spanish translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Spanish translation.

Package: debian-reference-de
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: ${misc:Depends}, debian-reference-common (>= 2.00)
Conflicts: quick-reference-de
Replaces: quick-reference-de
Description: Debian system administration guide, German translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The German translation.

Package: debian-reference-pt
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: ${misc:Depends}, debian-reference-common (>= 2.00)
Description: Debian system administration guide, Portuguese translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Portuguese (Portugal) translation.

Package: debian-reference-pt-br
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: ${misc:Depends}, debian-reference-common (>= 2.00)
Conflicts: quick-reference-pt-br
Replaces: quick-reference-pt-br
Description: Debian system administration guide, Portuguese translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Brazilian Portuguese translation.

Package: debian-reference-pl
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: ${misc:Depends}, debian-reference-common (>= 2.00)
Conflicts: quick-reference-pl
Replaces: quick-reference-pl
Description: Debian system administration guide, Polish translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Polish translation.

Package: debian-reference-zh-tw
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: ${misc:Depends}, debian-reference-common (>= 2.00)
Conflicts: quick-reference-zh-tw
Replaces: quick-reference-zh-tw
Description: Debian system administration guide, Chinese(TW) translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Traditional Chinese translation.

Package: debian-reference-zh-cn
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: ${misc:Depends}, debian-reference-common (>= 2.00)
Conflicts: quick-reference-zh-cn
Replaces: quick-reference-zh-cn
Description: Debian system administration guide, Chinese(CN) translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Simplified Chinese translation.
