## debian-reference 2.47

=== Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 ### basic parameters (build condition dependent)                    ALL
 #######################################################################
 # Build with web access for local build
-# BUILD_MODE default value 
+# BUILD_MODE default value (local|web|none) 
 BUILD_MODE_LOCAL := local
 ifndef BUILD_MODE
 BUILD_MODE	:= $(BUILD_MODE_LOCAL)
@@ -16,6 +16,11 @@
 # if $(PUBLISHDIR) is not set, set it here for testing
 PUBLISHDIR	:= $(CURDIR)/html
 
+# Change $(DRAFTMODE) from "yes" to "maybe" when this $(MANUAL) should go into
+# production mode
+#DRAFTMODE      := yes
+DRAFTMODE       := maybe
+export DRAFTMODE
 #######################################################################
 ### basic parameters (build condition independent)                  ALL
 #######################################################################
@@ -34,7 +39,9 @@
 THRESHOLD:=	0
 TRANSLATE:=	po4a-translate  -M utf-8          --format docbook --keep $(THRESHOLD) -v 
 GETTEXT	:=	po4a-gettextize -M utf-8 -L utf-8 --format docbook
-UPDATEPO:=	msgmerge --update --previous --no-wrap
+UPDATEPO:=	msgmerge --update --previous
+DBLATEX	:=	dblatex
+
 # # note: the URL is used as identifier, no HTTP is used!
 # DOCBOOK_XSL=http://docbook.sourceforge.net/release/xsl/current
 VERBOSE	:=
@@ -49,10 +56,9 @@
 UDEBA	:=	$(DEBM)/$(CODE)
 UDEBB	:=	$(DEBM)/experimental
 # language defaults
-LANGALL	:=	en ja fr it es de pt pt-br pl zh-tw zh-cn
-LANGPO	:=	   ja fr it       pt
+LANGALL	:=	en ja fr it pt
+LANGPO	:=	   ja fr it pt
 LANGNEW	:=
-LANGSGML =	$(filter-out en $(LANGPO), $(LANGALL))
 
 # remotely fetched data cached locally but removed for package
 DATASRCS:=      all-popcon-results.txt packages.txt packages.bkup.txt
@@ -78,11 +84,12 @@
 #######################################################################
 .PHONY: all package
 # Simpler target for easy debug.
-all: html css
+all:
+	$(MAKE) po
+	$(MAKE) html css
 
 # Target for package building
 package: html txt css
-	$(MAKE) -C sgml all PUBLISHDIR=$(PUBLISHDIR) "LANG_ALL=$(LANGSGML)"
 
 #######################################################################
 # Build all sources to html and text pages for web (DDP on alioth)  DDP
@@ -92,11 +99,7 @@
 # $(PUBLISHDIR) is set to be: /org/www.debian.org/www/doc/manuals for master-www
 publish:
 	-mkdir -p $(PUBLISHDIR)/debian-reference
-	-rm -f $(PUBLISHDIR)/reference
-	# For www.debian.org, relative symlink only
-	-ln -sf debian-reference $(PUBLISHDIR)/reference
-	$(MAKE) html txt css "PUBLISHDIR=$(PUBLISHDIR)/debian-reference"
-	$(MAKE) -C sgml all  "PUBLISHDIR=$(PUBLISHDIR)/debian-reference" "LANG_ALL=$(LANGSGML)"
+	$(MAKE) html txt css "PUBLISHDIR=$(PUBLISHDIR)/debian-reference" BUILD_MODE=web
 
 #######################################################################
 # Clean targets                                                     ALL
@@ -105,12 +108,11 @@
 
 clean:
 	-rm -f *.swp *~ *.tmp
-	-rm -f $(PODOC)/*~ $(ADOC)/*~
+	-rm -f $(PODOC)/*~ $(PODOC)/*.mo $(ADOC)/*~
 	-rm -rf html
 	-rm -f $(addsuffix .xml,      $(addprefix  $(DOCNAME)., $(LANGPO)))
 	-rm -f $(DOCNAME).en.xml
 	-rm -f $(DOCNAME).en.xmlt header.txt
-	$(MAKE) -C sgml clean "LANG_ALL=$(LANGSGML)" PUBLISHDIR=$(PUBLISHDIR)
 
 # Run distclean only for regenerating all locally cached data from remote
 #                          (and all raw XML from asciidoc for lenny@local)
@@ -150,7 +152,7 @@
 # So I put lenny version in this source tree.
 $(DOCNAME).raw.xml: $(SRC_ASC)
 	bin/asciidoc -a 'newline=\n' -o - $(ADOC)/$(DOCNAME).txt |\
-	sed -e "/<\/authorinitials>/r $(ADOC)/copyright.txt" |\
+	sed -e "/<\/author>/r $(ADOC)/copyright.txt" |\
 	xmllint --format -  |\
 	sed -f bin/replace > $@
 #=======================================================================#
@@ -248,14 +250,15 @@
 	echo "<!ENTITY build-date \"$(shell date -u +'%F %T %Z')\">"	>  $@
 	echo "<!ENTITY arch \"$(ARCH)\">"				>> $@
 	echo "<!ENTITY codename-stable   \"squeeze\">"			>> $@
+	echo "<!ENTITY Codename-stable   \"Squeeze\">"                  >> $@
 	echo "<!ENTITY codename-testing  \"wheezy\">"			>> $@
+	echo "<!ENTITY Codename-testing  \"Wheezy\">"                   >> $@
 	echo "<!ENTITY codename-nexttesting  \"wheezy+1\">"		>> $@
+	echo "<!ENTITY Codename-nexttesting  \"Wheezy+1\">"             >> $@
 	echo "<!ENTITY codename-unstable \"sid\">"			>> $@
+	echo "<!ENTITY Codename-unstable \"Sid\">"                      >> $@
 
 # Update URL list header from $(DOCNAME).raw.xml
 header.txt: $(ADOC)/header1.txt $(DOCNAME).raw.xml $(ADOC)/header2.txt
 	cat $(ADOC)/header1.txt >  $@
 	xsltproc --novalid $(VERBOSE) $(PXSLT)/urls.xsl $(DOCNAME).raw.xml | sort | uniq |\
-	sed -e "s/&/\&amp;/g"   >> $@
-	cat $(ADOC)/header2.txt >> $@
-
