=== debian/changelog ===
debian-reference (2.47) unstable; urgency=low

  * Removed outdated (>2 years) translations in SGML and stopped 
    building them. Closes: #536547
  * Improved apt-get vs. aptitude. Closes: #604630
  * Fixed typos. Closes: #616699, #627546, #639173, #635600, #639749
  * Fixed example in "Compiling the kernel source". Closes: #623504
  * Added wpa-gui to list. Closes: #625199
  * Improved apt-pinning. Closes: #626433
  * Added NIS and winbind integration pointers. Closes: #626736
  * Made asciidoc conversion script into an internal customized one.
    It is stable for everyone.
  * Added a tip with bind-mount. Closes: #628458
  * Added disk space usage tip. Closes: #644061
  * Fixed cron and rsyslog references. Closes: #645372, #645375
  * Removed broadcast in /etc/network/interfaces . Closes: #648050
  * Removed oneko (title with mouse pointer) effect. Closes: #648045
  * Changed Japanese IM example from Anthy to MOZC. 

 -- Osamu Aoki <osamu@debian.org>  Wed, 23 Nov 2011 01:13:37 +0900

debian-reference (2.46) unstable; urgency=low

  * Updated Portguese translation by Américo Monteiro.

 -- Osamu Aoki <osamu@debian.org>  Sat, 11 Dec 2010 12:32:35 +0900
