=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,8 @@
 # Package building language choice
 #
 DOCNAME	:=	debian-reference
-LANGALL	:=	en ja fr it es de pt pt-br pl zh-tw zh-cn
-LANGPO	:=	   ja fr it       pt
+LANGALL	:=	en ja fr it pt
+LANGPO	:=	   ja fr it pt
 
 ## ----------------------------------------------------------------------
 ## Targets
