=== debian/changelog ===
debian-reference (2.48) unstable; urgency=low

  [ David Prévot ]
  * Prevent PO files to be deleted by mistake.

  [ Osamu Aoki ]
  * Fixed typos. Closes: #646313, #653745, #664250
  * Clarified family tree type in the filesystem description. 
    Closes: #619510
  * Clarified 127.0.1.1 in /etc/hosts. Closes: #654629 
  * Updated package names as much including gdm3. Closes: #649887
  * Explained PolicyKit and updated automount descriptions with udisks. 
    Closes: #650413 
  * Updated email configurations including SMTPS support 
    by exim4 4.77. Closes: #655016, #652994
  * Updated DHCP to isc-dhcp-client. Closes: #657860 
  * Updated to mention SSD tips. Closes: #649333
  * Updated contents on the init script, tmpfs, and ext4/Btrfs.
  * Updated kernel compile examples. Closes: #657587
  * Updated mc scripts. Closes: #661483
  * Droped afio.

 -- Osamu Aoki <osamu@debian.org>  Sun, 25 Mar 2012 21:52:21 +0900
