## debian-reference 2.49

=== debian/changelog ===
debian-reference (2.49) unstable; urgency=low

  * Change the tone of description around non-free to cope with 
    the bug report #686481 based on the GNU perspective.
  * Document $TMPDIR and UUID in fstab. Closes: #669010, #662975
  * Update examples in tutorials. Closes: #677050
  * Update software lists with new LibreOffice, GNOME, KDE apps.
  * Update translations. (ja, fr, it, pt)

 -- Osamu Aoki <osamu@debian.org>  Sun, 28 Oct 2012 11:08:07 +0900
