## debian-reference 2.50

=== Makefile ===
--- 
+++ 
@@ -113,6 +113,7 @@
 	-rm -f $(addsuffix .xml,      $(addprefix  $(DOCNAME)., $(LANGPO)))
 	-rm -f $(DOCNAME).en.xml
 	-rm -f $(DOCNAME).en.xmlt header.txt
+	-rm -rf ./tmp
 
 # Run distclean only for regenerating all locally cached data from remote
 #                          (and all raw XML from asciidoc for lenny@local)
@@ -249,16 +250,15 @@
 common.ent: $(SRC_XML)
 	echo "<!ENTITY build-date \"$(shell date -u +'%F %T %Z')\">"	>  $@
 	echo "<!ENTITY arch \"$(ARCH)\">"				>> $@
-	echo "<!ENTITY codename-stable   \"squeeze\">"			>> $@
-	echo "<!ENTITY Codename-stable   \"Squeeze\">"                  >> $@
-	echo "<!ENTITY codename-testing  \"wheezy\">"			>> $@
-	echo "<!ENTITY Codename-testing  \"Wheezy\">"                   >> $@
-	echo "<!ENTITY codename-nexttesting  \"wheezy+1\">"		>> $@
-	echo "<!ENTITY Codename-nexttesting  \"Wheezy+1\">"             >> $@
+	echo "<!ENTITY codename-stable   \"wheezy\">"			>> $@
+	echo "<!ENTITY Codename-stable   \"Wheezy\">"                  >> $@
+	echo "<!ENTITY codename-testing  \"jessie\">"			>> $@
+	echo "<!ENTITY Codename-testing  \"Jessie\">"                   >> $@
+	echo "<!ENTITY codename-nexttesting  \"jessie+1\">"		>> $@
+	echo "<!ENTITY Codename-nexttesting  \"Jessie+1\">"             >> $@
 	echo "<!ENTITY codename-unstable \"sid\">"			>> $@
 	echo "<!ENTITY Codename-unstable \"Sid\">"                      >> $@
 
 # Update URL list header from $(DOCNAME).raw.xml
 header.txt: $(ADOC)/header1.txt $(DOCNAME).raw.xml $(ADOC)/header2.txt
 	cat $(ADOC)/header1.txt >  $@
-	xsltproc --novalid $(VERBOSE) $(PXSLT)/urls.xsl $(DOCNAME).raw.xml | sort | uniq |\
