=== debian/changelog ===
debian-reference (2.50) unstable; urgency=low

  * Update the backport archive URL. Closes: #701906 

 -- Osamu Aoki <osamu@debian.org>  Fri, 22 Mar 2013 22:48:21 +0900
