=== debian/control ===
Source: debian-reference
Section: doc
Priority: optional
Maintainer: Osamu Aoki <osamu@debian.org>
Build-Depends: debhelper (>= 8.0.0)
Build-Depends-Indep: w3m, xsltproc, docbook-xsl, docbook-xml, po4a, python, locales-all | locales, debiandoc-sgml, libxml2-utils
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/svn/ddp/manuals/trunk/quick-reference
Vcs-Browser: http://svn.debian.org/wsvn/ddp/manuals/trunk/quick-reference/
Homepage: http://www.debian.org/doc/user-manuals#quick-reference

Package: debian-reference-common
Architecture: all
Depends: ${misc:Depends}
Suggests: mc, vim, w3m | www-browser
Description: Debian system administration guide, common files
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 This provides menu functionality and other common files.

Package: debian-reference
Architecture: all
Depends: ${misc:Depends}, debian-reference-en
Recommends: debian-reference-ja, debian-reference-fr, debian-reference-it, debian-reference-pt
Description: metapackage to install (all) translations of Debian Reference
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 This installs all translations when "Recommends:" are installed.

Package: debian-reference-en
Architecture: all
Depends: ${misc:Depends}, debian-reference-common (>= 2.00)
Suggests: doc-base
Description: Debian system administration guide, English original
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The English original version.

Package: debian-reference-fr
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: ${misc:Depends}, debian-reference-common (>= 2.00)
Conflicts: quick-reference-fr
Replaces: quick-reference-fr
Description: Debian system administration guide, French translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The French translation.

Package: debian-reference-it
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: ${misc:Depends}, debian-reference-common (>= 2.00)
Conflicts: quick-reference-it
Replaces: quick-reference-it
Description: Debian system administration guide, Italian translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Italian translation.

Package: debian-reference-ja
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: ${misc:Depends}, debian-reference-common (>= 2.00)
Conflicts: quick-reference-ja
Replaces: quick-reference-ja
Description: Debian system administration guide, Japanese translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Japanese translation.

Package: debian-reference-pt
Architecture: all
Recommends: debian-reference-en
Suggests: doc-base
Depends: ${misc:Depends}, debian-reference-common (>= 2.00)
Description: Debian system administration guide, Portuguese translation
 This Debian Reference is intended to provide a broad overview of the Debian
 system as a post-installation user's guide. It covers many aspects of system
 administration through shell-command examples for non-developers.
 .
 The Portuguese (Portugal) translation.
